package org.eco.als.domain.bo;

import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.als.domain.AirParamter;
import org.eco.common.orm.core.domain.BaseEntity;

/**
 * 飞机系统参数管理业务对象 als_air_paramter_t
 *
 * @author wgk
 * @date 2025-02-27
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = AirParamter.class, reverseConvertGenerate = false)
public class AirParamterBo extends BaseEntity {
    /**
     * 唯一ID
     */
    private Long id;

    /**
     * 机型
     */
    private String aircraftType;

    /**
     * 系统ID
     */
    private String sysId;

    /**
     * 系统名称
     */
    private String sysName;

    /**
     * 参数名称
     */
    private String name;

    /**
     * 参数名称ID
     */
    private String nameId;

    /**
     * 描述
     */
    private String remarks;

    /**
     * 属性1
     */
    private String attribute1;

    /**
     * 属性2
     */
    private String attribute2;

    /**
     * 属性3
     */
    private String attribute3;

    /**
     * 属性4
     */
    private String attribute4;

    /**
     * 属性5
     */
    private String attribute5;


}
