package org.eco.als.domain.bo;

import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.als.domain.Contacts;
import org.eco.common.orm.core.domain.BaseEntity;

/**
 * 通讯录业务对象 als_contacts_t
 *
 * @author wgk
 * @date 2024-11-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = Contacts.class, reverseConvertGenerate = false)
public class ContactsBo extends BaseEntity {
    /**
     * 唯一ID
     */
    private Long id;

    /**
     * 名称
     */
    private String name;

    /**
     * 地址/链接
     */
    private String url;

    /**
     * 接口
     */
    private String port;

    /**
     * 接口参数
     */
    private String parameter;

    /**
     * 备注
     */
    private String remarks;


}
