package org.eco.als.domain.bo;

import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.als.domain.QaHistory;
import org.eco.common.orm.core.domain.BaseEntity;

/**
 * 问答历史记录业务对象 als_qa_history_t
 *
 * @author wgk
 * @date 2024-12-13
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = QaHistory.class, reverseConvertGenerate = false)
public class QaHistoryBo extends BaseEntity {
    /**
     * 唯一ID
     */
    private Long id;

    /**
     * 当前用户
     */
    private String userId;

    /**
     * 问题
     */
    private String question;

    /**
     * 回答
     */
    private String answer;

    /**
     *图谱相关
     */
    private String graph;

    /**
     * 文件ID
     */
    private Long ossId;

    /**
     * 文件名称
     */
    private String fileName;

    /**
     * 备注
     */
    private String remarks;


}
