CREATE TABLE "lqbz"."als_judge_fault_logic_t"
(
    "id" BIGINT NOT NULL,
    "name" VARCHAR2(255),
    "model" VARCHAR2(255),
    "HMC_code" VARCHAR2(255),
    "sys_id" VARCHAR2(255),
    "sys_name" VARCHAR2(255),
    "name_id" VARCHAR2(255),
    "remarks" VARCHAR2(900),
    "attribute1" VARCHAR2(255),
    "attribute2" VARCHAR2(255),
    "attribute3" VARCHAR2(255),
    "attribute4" VARCHAR2(255),
    "attribute5" VARCHAR2(255),
    "tenant_id" VARCHAR2(8188),
    "del_flag" BIT DEFAULT 0,
    "version" INTEGER,
    "create_by" VARCHAR2(8188),
    "create_time" TIMESTAMP(6),
    "update_by" VARCHAR2(8188),
    "update_time" TIMESTAMP(6),
    NOT CLUSTER PRIMARY KEY("id")) STORAGE(ON "MAIN", CLUSTERBTR);
COMMENT ON TABLE "lqbz"."als_judge_fault_logic_t" IS '判故逻辑';
COMMENT ON COLUMN "lqbz"."als_judge_fault_logic_t"."id" IS '唯一ID';
COMMENT ON COLUMN "lqbz"."als_judge_fault_logic_t"."name" IS '逻辑名称';
COMMENT ON COLUMN "lqbz"."als_judge_fault_logic_t"."model" IS '机型';
COMMENT ON COLUMN "lqbz"."als_judge_fault_logic_t"."HMC_code" IS 'HMC码';
COMMENT ON COLUMN "lqbz"."als_judge_fault_logic_t"."sys_id" IS '系统ID';
COMMENT ON COLUMN "lqbz"."als_judge_fault_logic_t"."sys_name" IS '系统名称';
COMMENT ON COLUMN "lqbz"."als_judge_fault_logic_t"."name_id" IS '参数名称ID';
COMMENT ON COLUMN "lqbz"."als_judge_fault_logic_t"."remarks" IS '描述';
COMMENT ON COLUMN "lqbz"."als_judge_fault_logic_t"."attribute1" IS '属性1';
COMMENT ON COLUMN "lqbz"."als_judge_fault_logic_t"."attribute2" IS '属性2';
COMMENT ON COLUMN "lqbz"."als_judge_fault_logic_t"."attribute3" IS '属性3';
COMMENT ON COLUMN "lqbz"."als_judge_fault_logic_t"."attribute4" IS '属性4';
COMMENT ON COLUMN "lqbz"."als_judge_fault_logic_t"."attribute5" IS '属性5';
COMMENT ON COLUMN "lqbz"."als_judge_fault_logic_t"."tenant_id" IS '租户号';
COMMENT ON COLUMN "lqbz"."als_judge_fault_logic_t"."del_flag" IS '删除标识（1删除 0未删除）';
COMMENT ON COLUMN "lqbz"."als_judge_fault_logic_t"."version" IS '乐观锁';
COMMENT ON COLUMN "lqbz"."als_judge_fault_logic_t"."create_by" IS '创建人';
COMMENT ON COLUMN "lqbz"."als_judge_fault_logic_t"."create_time" IS '创建时间';
COMMENT ON COLUMN "lqbz"."als_judge_fault_logic_t"."update_by" IS '更新人';
COMMENT ON COLUMN "lqbz"."als_judge_fault_logic_t"."update_time" IS '更新时间';
