package com.eco.common.mapper.constant;

/**
 * @Description: MapperConstant 常量
 * @Author: GaoKun Wang
 * @Date: 2024/7/1
 */
public interface MapperConstant {

    /**
     * 用户id转账号
     */
    String USER_ID_TO_NAME = "user_id_to_name";

    /**
     * 用户id转用户名称
     */
    String USER_ID_TO_NICKNAME = "user_id_to_nickname";

    /**
     * 部门id转名称
     */
    String DEPT_ID_TO_NAME = "dept_id_to_name";

    /**
     * 字典type转label
     */
    String DICT_TYPE_TO_LABEL = "dict_type_to_label";

    /**
     * ossId转url
     */
    String OSS_ID_TO_URL = "oss_id_to_url";

    /**
     * aircraftId转aircraftNo
     */
    String AIRCRAFT_ID_TO_NO = "aircraft_id_to_no";
}
