package org.eco.als.domain.bo;

import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.als.domain.AtlasFile;
import org.eco.common.orm.core.domain.BaseEntity;

/**
 * 文件管理业务对象 als_atlas_file_t
 *
 * @author wgk
 * @date 2024-11-27
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = AtlasFile.class, reverseConvertGenerate = false)
public class AtlasFileBo extends BaseEntity {
    /**
     * 唯一ID
     */
    private Long id;

    /**
     * 文件名称
     */
    private String fileName;

    /**
     * 文件类型
     */
    private String fileType;

    /**
     * 文件
     */
    private Long ossId;

    /**
     * 状态
     */
    private String status;

    /**
     * 备注
     */
    private String remarks;


}
