package org.eco.als.domain.bo;

import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.als.domain.Communication;
import org.eco.common.orm.core.domain.BaseEntity;

/**
 * 通讯管理业务对象 als_communication_t
 *
 * @author wgk
 * @date 2024-12-17
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = Communication.class, reverseConvertGenerate = false)
public class CommunicationBo extends BaseEntity {
    /**
     * 编号
     */
    private Long id;

    /**
     * 名称
     */
    private String name;

    /**
     * IP地址
     */
    private String ipAddress;

    /**
     * 网段
     */
    private String networkSegment;

    /**
     * 子网掩码
     */
    private String subnetMask;

    /**
     * DNS
     */
    private String dns;

    /**
     * 网关
     */
    private String gateway;

    /**
     * http
     */
    private String http;

    /**
     * 端口号
     */
    private String port;

    /**
     * 用户名
     */
    private String userName;

    /**
     * 密码
     */
    private String password;


}
