package org.eco.als.domain.bo;

import org.eco.als.domain.PersonnelAllocation;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;
import org.eco.common.orm.core.domain.BaseEntity;

/**
 * 维修任务任务派遣业务对象 als_personnel_allocation_t
 *
 * @author wgk
 * @date 2024-11-14
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = PersonnelAllocation.class, reverseConvertGenerate = false)
public class PersonnelAllocationBo extends BaseEntity {
    /**
     * 编号
     */
    private Long id;

    /**
     * 任务Id
     */
    private Long taskId;

    /**
     * 人员
     */
    private String personnel;

    /**
     * 岗位
     */
    private String position;

    /**
     * 数量
     */
    private Integer quantity;

    /**
     * 职责
     */
    private String duties;

    /**
     * 备注
     */
    private String remarks;


}
