package org.eco.als.domain.bo;

import lombok.Data;
import org.eco.als.domain.PersonnelAllocation;
import org.eco.als.domain.ResourceAllocation;

import java.util.List;

/**
 * 任务管理业务对象 als_task_t
 *
 * @author wgk
 * @date 2024-08-07
 */
@Data
public class SubTaskBo {

    /**
     * 来源ID
     */
    private Long taskId;

    /**
     * 资源分配
     */
    private List<ResourceAllocation> resourceAllocationList;

    /**
     * 人员任务派遣
     */
    private List<PersonnelAllocation> personnelAllocationList;
}
